
Foreman - Bug #14183

Smart variable not showing whitespace validation

03/14/2016 09:03 AM - Ori Rabin

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Parameters   

Target version: 1.11.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1324632 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3318

  

Description

Since to_param uses the key as is with whitspace the view can get links to smart variables that contain whitespace and that won't

allow to click them and see the error e.g: href="#1450-my key".

Related issues:

Related to Foreman - Bug #12577: Smart variable with space in its name allowe... Closed 11/24/2015

Associated revisions

Revision ea740cfe - 03/18/2016 06:57 AM - Ori Rabin

Fixes #14183 - showing whitespace validation in smart variables

Revision e86f0b09 - 04/18/2016 01:45 PM - Ori Rabin

Fixes #14183 - showing whitespace validation in smart variables

(cherry picked from commit ea740cfed3ee43f80095dce087065ec0fe8c9231)

History

#1 - 03/14/2016 09:03 AM - Ori Rabin

- Related to Bug #12577: Smart variable with space in its name allowed to create. Actually It should not. added

#2 - 03/18/2016 07:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ea740cfed3ee43f80095dce087065ec0fe8c9231.

#3 - 03/18/2016 07:04 AM - Dominic Cleal

- translation missing: en.field_release set to 141

#4 - 04/06/2016 04:25 PM - Bryan Kearney

- Bugzilla link set to 1324632
